local theTimerObj = XLGetObject("Xunlei.Thunder.Timer")
local theThunderAppObj = XLGetObject("Xunlei.Thunder.App")
local function onLoadMiniGameAdapterTimer (timerID)
	local mode = theThunderAppObj:GetThunderStartMode()
	if mode == 0 then
		local theAddinMgrObj = XLGetObject("Xunlei.Thunder.AddinManager")
		theAddinMgrObj:LoadAddin("XLMiniGameAdapter")
		return false
	end
	return true
end
theTimerObj:AddTimer(onLoadMiniGameAdapterTimer,8000,true)
